/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class WorkerLightResponse {
    public name: string;

    public id: string;

    public trade: string[];

    public image: string;

    public data: object;

    /**
     * Creates a WorkerLightResponse.
     *
     * @param {string} name
     * @param {string} id
     * @param {string} trade
     * @param {string} image
     * @param {object} data
     */
    constructor(name: string, id: string, trade: string[], image: string, data: object) {
        this.name = name;
        this.id = id;
        this.trade = trade;
        this.image = image;
        this.data = data;
    }
}